> ## Documentation Index
> Fetch the complete documentation index at: https://blogbowl.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload an image and return its URL



## OpenAPI

````yaml https://app.blogbowl.io/api/v1/misc/openapi.json post /images/upload
openapi: 3.0.0
info:
  title: BlogBowl API
  description: >-
    REST API for managing blog pages, posts, authors, newsletters, and
    subscribers.
  version: 1.0.0
  x-copyright: null
servers:
  - url: https://app.blogbowl.io/api/v1
security: []
tags:
  - name: Authors
  - name: Categories
  - name: Emails
  - name: Images
  - name: Newsletters
  - name: Pages
  - name: Posts
  - name: Subscribers
paths:
  /images/upload:
    post:
      tags:
        - Images
      summary: Upload an image and return its URL
      operationId: post_images_upload
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  description: Image file to upload
                  type: string
                  format: binary
              required:
                - file
        required: true
      responses:
        '201':
          description: Uploaded image URL
          headers: {}

````